// Подключение бибилиотеки IRremote.h
#include <IRremote.h>
// Порт Arduino для приемника.
int RECV_PIN = 13;
//Создаем объект IR-приемник.
IRrecv irrecv(RECV_PIN);
//Создаем структуру результат приема данных IR-канала.
decode_results results;
void setup()
{
  // Устанавливаем скорость порта связи с ПК.
  Serial.begin(9600);
  // Запуск IR-приемника.
  irrecv.enableIRIn();
}
void loop() {
  // Если пришли данные.
  if (irrecv.decode(&results)) {
    // Послать полученные данные на ПК в 16ом представлении.
    Serial.println(results.value, HEX);
    //Готов к приему.
    irrecv.resume(); // Receive the next value
  }
  delay(100);
}

